summaryrefslogtreecommitdiffstats
path: root/.local/bin/fathddumnt
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/fathddumnt')
-rwxr-xr-x.local/bin/fathddumnt10
1 files changed, 9 insertions, 1 deletions
diff --git a/.local/bin/fathddumnt b/.local/bin/fathddumnt
index 8944ae1..241a00a 100755
--- a/.local/bin/fathddumnt
+++ b/.local/bin/fathddumnt
@@ -1,5 +1,13 @@
#!/bin/sh -e
-umount /dev/da0p1.eli
+if ! mount | grep -F /dev/da0p1; then
+ notify-send -u critical 'fathdd' ' HDD not mounted'
+ exit 1
+fi
+if ! umount /dev/da0p1.eli; then
+ notify-send -u critical 'fathdd' ' Failed to dismount HDD'
+ exit 1
+fi
geli detach da0p1.eli
rmdir "$HOME"/hdd
+notify-send -t 5000 'fathdd' ' HDD dismounted from <b>~/hdd</b>'